> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranet-b2b-monitoring/peering-service/service-health

> Returns connectivity status for a b2b peering service. Provides overall service connectivity status and detailed status for producer and customer prefixes for each consumer of the serviceShows whether the service is healthy, impaired, or down, and lists any missing prefixes in Impaired state. 

## OpenAPI

````json POST /v1/extranet-b2b-monitoring/peering-service/service-health
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranet-b2b-monitoring/peering-service/service-health": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1ExtranetB2bMonitoringPeeringServiceServiceHealthPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetB2bMonitoringPeeringServiceServiceHealthPostResponse"
                }
              }
            }
          }
        },
        "description": "Returns connectivity status for a b2b peering service. Provides overall service connectivity status and detailed status for producer and customer prefixes for each consumer of the serviceShows whether the service is healthy, impaired, or down, and lists any missing prefixes in Impaired state. "
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetB2bMonitoringPeeringServiceServiceHealthPostRequest": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1,
            "description": "the id of the service (required)"
          },
          "isProvider": {
            "type": "boolean",
            "example": true,
            "description": "whether the entity is a provider/producer or consumer (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "id",
          "isProvider"
        ]
      },
      "v1ExtranetB2bMonitoringPeeringServiceServiceHealthPostResponse": {
        "type": "object",
        "properties": {
          "serviceHealth": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonExtranetServiceHealth"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetServiceHealth": {
        "type": "object",
        "properties": {
          "customerName": {
            "type": "string",
            "example": "Customer 1",
            "description": "the name of the customer"
          },
          "customerPrefixHealth": {
            "$ref": "#/components/schemas/statsmonExtranetPrefixHealth"
          },
          "overallHealth": {
            "type": "string",
            "example": "Impaired",
            "description": "the overall connectivity status of the service (Healthy, Impaired, Down)"
          },
          "producerPrefixHealth": {
            "$ref": "#/components/schemas/statsmonExtranetPrefixHealth"
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetPrefixHealth": {
        "type": "object",
        "properties": {
          "health": {
            "type": "string",
            "example": "Impaired",
            "description": "the health status of the prefix (Healthy, Impaired, Down)"
          },
          "missingPrefixes": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "192.168.0.0/16",
              "description": "a list of the missing producer or consumer prefixes (in Impaired state)"
            }
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

